import { ReactiveController, ReactiveElement } from 'lit';
/**
 * Adds button support for interactive custom elements including aria-button and focus behavior.
 * https://developer.mozilla.org/en-US/docs/Web/Accessibility/ARIA/Roles/button_role
 */
export declare function typeButton<T extends Button>(): ClassDecorator;
export interface Button extends ReactiveElement {
    readOnly: boolean;
    disabled: boolean;
    _internals?: ElementInternals;
}
export declare class TypeButtonController<T extends Button> implements ReactiveController {
    #private;
    private host;
    constructor(host: T);
    hostConnected(): void;
    hostUpdated(): Promise<void>;
}
